Bug 134776 - createrepo does not handle white spaces in dirs
createrepo does not handle white spaces in dirs
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Nasrat
Depends On:
  Show dependency treegraph
Reported: 2004-10-06 04:30 EDT by Ralf Corsepius
Modified: 2014-01-21 17:50 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-11 07:50:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2004-10-06 04:30:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
createrepo does not handle white spaces in its "dir" argument correctly.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. mkdir -p "/tmp/foo bar"
2. createrepo "/tmp/foo bar"

Actual Results:
# /usr/bin/createrepo "/tmp/foo bar"
Error: Only one directory allowed per run.

Expected Results:  function

Additional info:

Seems like an argument parsing bug in createrepo to me.
Comment 1 Paul Nasrat 2004-10-08 06:45:33 EDT
Please file upstream at:


and paste the bug number here.
Comment 2 Paul Nasrat 2004-10-11 07:21:14 EDT
Opened upstream -
Comment 3 Paul Nasrat 2004-10-11 07:50:32 EDT
Fixed upstream will be pulled in at next release.
Comment 4 Bill Nottingham 2004-10-18 01:48:03 EDT
Fixed in 0.4.0

Note You need to log in before you can comment on or make changes to this bug.